libvorbis documentation | libvorbis version 1.3.2 - 20101101

# vorbis_synthesis_init

declared in "vorbis/codec.h";

This function initializes a vorbis_dsp_state structure for decoding and allocates internal storage for it.

    extern int      vorbis_synthesis_init(vorbis_dsp_state *v,vorbis_info *vi);

### Parameters

v
  The vorbis_dsp_state to initialize for decoding.
vi
  The vorbis_info structure for the stream. The vorbis_info structure must have had vorbis_synthesis_headerin called on it for each header packet in the stream.

### Return Values

> - 0 on success.
> - 1 on error.

copyright © 2010 Xiph.Org | Ogg Vorbis
libvorbis documentation | libvorbis version 1.3.2 - 20101101